###################################################
### chunk number 1: one
###################################################
#line 87 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
library(verification)

obs<- c(28, 72, 23, 2680)
A<- verify(obs, pred = NULL, frcst.type = "binary", obs.type = "binary")
summary(A)


###################################################
### chunk number 2: two
###################################################
#line 100 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
obs<- c(0, 0, 51, 2752)
A<- verify(obs, pred = NULL, frcst.type = "binary", obs.type = "binary")
summary(A)


###################################################
### chunk number 3: three
###################################################
#line 122 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
data(pop)
pop.convert()### creates an object d
A<- verify(d$obs_rain, d$p24_rain, bins = FALSE)
summary(A)


###################################################
### chunk number 4: 
###################################################
#line 143 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
plot (A)


###################################################
### chunk number 5: 
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
mod24 <- verify(d$obs_norain, d$p24_norain, bins = FALSE)

 mod48 <- verify(d$obs_norain, d$p48_norain, bins = FALSE)

roc.plot(mod24, plot.thres = NULL)
lines.roc(mod48, col = 2, lwd = 2)
leg.txt <- c("24 hour forecast", "48 hour forecast")
legend( 0.6, 0.4, leg.txt, col = c(1,2), lwd = 2)


###################################################
### chunk number 6: 
###################################################
#line 190 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
B<- roc.plot(A, CI = TRUE, n.boot = 100)


###################################################
### chunk number 7: 
###################################################
#line 212 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
value(d$obs_rain, d$p24_rain, main = "Rain-No Rain Forecast", cl = seq(0.01, 0.99, 0.05), all = TRUE)


###################################################
### chunk number 8: 
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
# source("~/cvs/libs/R/verification/data/disc.dat.R") ## temp fix
# source("~/cvs/libs/R/verification/R/discrimination.plot.R") ## temp fix
# data(disc.dat)
discrimination.plot(disc.dat$group.id, disc.dat$frcst, main = 
"Sample Plot")


###################################################
### chunk number 9: 
###################################################
#line 246 "d:/Rcompile/CRANpkg/local/2.12/verification/inst/doc/verification.Rnw"
## Data from Wilks, table 7.3 page 246.
 y.i   <- c(0,0.05, seq(0.1, 1, 0.1))
 obar.i <- c(0.006, 0.019, 0.059, 0.15, 0.277, 0.377, 0.511, 0.587, 0.723, 0.779, 0.934, 0.933)
 prob.y<- c(0.4112, 0.0671, 0.1833, 0.0986, 0.0616, 0.0366, 0.0303,  0.0275, 0.245, 0.022, 0.017, 0.203) 
 obar<- 0.162

reliability.plot(y.i, obar.i, prob.y, titl = " Wilks Data", legend.names =
c("Model A") )


